Google setzt sich dafür ein, die Rassengerechtigkeit für schwarze Gemeinschaften zu fördern. Siehe wie.
Diese Seite wurde von der Cloud Translation API übersetzt.
Switch to English

Android Security Bulletin - Oktober 2019

Veröffentlicht am 7. Oktober 2019 | Aktualisiert am 29. Oktober 2019

Das Android Security Bulletin enthält Details zu Sicherheitslücken, die Android-Geräte betreffen. Sicherheits-Patch-Levels vom 06.10.2019 oder höher beheben all diese Probleme. Informationen zum Überprüfen der Sicherheits-Patch-Stufe eines Geräts finden Sie unter Überprüfen und Aktualisieren Ihrer Android-Version .

Android-Partner werden mindestens einen Monat vor der Veröffentlichung über alle Probleme informiert. Quellcode-Patches für diese Probleme wurden im AOSP-Repository (Android Open Source Project) veröffentlicht und über dieses Bulletin verlinkt. Dieses Bulletin enthält auch Links zu Patches außerhalb von AOSP.

Das schwerwiegendste dieser Probleme ist eine kritische Sicherheitslücke in der Media Framework-Komponente, die es einem Remoteangreifer ermöglichen kann, mithilfe einer speziell gestalteten Datei beliebigen Code im Kontext eines privilegierten Prozesses auszuführen. Die Bewertung des Schweregrads basiert auf den Auswirkungen, die das Ausnutzen der Sicherheitsanfälligkeit möglicherweise auf ein betroffenes Gerät haben würde, vorausgesetzt, die Plattform- und Dienstminderungen werden für Entwicklungszwecke deaktiviert oder bei erfolgreicher Umgehung.

Weitere Informationen zum Schutz der Android-Sicherheitsplattform und zu Google Play Protect, die die Sicherheit der Android-Plattform verbessern, finden Sie im Abschnitt zur Minderung von Android- und Google Play Protect-Maßnahmen .

Ankündigungen

Android 10 führt Google Play-Systemupdates ( Project Mainline ) ein, die beschleunigen, wie Updates mit Google Mobile Services auf Android-Geräte übertragen werden können. Das Android Security Bulletin identifiziert Sicherheitsprobleme, die durch Google Play-Systemupdates behoben werden. Weitere Informationen zum Installieren von Sicherheitsupdates finden Sie in diesem Artikel .

Minderung von Android- und Google-Diensten

Dies ist eine Zusammenfassung der von der Android-Sicherheitsplattform bereitgestellten Maßnahmen und des Schutzes von Diensten wie Google Play Protect . Diese Funktionen verringern die Wahrscheinlichkeit, dass Sicherheitslücken unter Android erfolgreich ausgenutzt werden können.

  • Die Nutzung vieler Probleme unter Android wird durch Verbesserungen in neueren Versionen der Android-Plattform erschwert. Wir empfehlen allen Benutzern, nach Möglichkeit auf die neueste Version von Android zu aktualisieren.
  • Das Android-Sicherheitsteam überwacht den Missbrauch über Google Play Protect aktiv und warnt Benutzer vor potenziell schädlichen Anwendungen . Google Play Protect ist standardmäßig auf Geräten mit Google Mobile Services aktiviert und besonders wichtig für Benutzer, die Apps von außerhalb von Google Play installieren.

Details zur Sicherheitslücke auf Sicherheits-Patch-Ebene 2019-10-01

In den folgenden Abschnitten finden Sie Details zu den Sicherheitslücken, die für die Patch-Ebene 2019-10-01 gelten. Sicherheitslücken werden unter der Komponente zusammengefasst, die sie betreffen. Die Probleme werden in den folgenden Tabellen beschrieben und umfassen die CVE-ID, zugehörige Referenzen, die Art der Sicherheitsanfälligkeit , den Schweregrad und aktualisierte AOSP-Versionen (falls zutreffend). Sofern verfügbar, verknüpfen wir die öffentliche Änderung, mit der das Problem behoben wurde, mit der Fehler-ID, z. B. der AOSP-Änderungsliste. Wenn sich mehrere Änderungen auf einen einzelnen Fehler beziehen, werden zusätzliche Referenzen mit Nummern verknüpft, die auf die Fehler-ID folgen. Geräte mit Android 10 und höher erhalten möglicherweise Sicherheitsupdates sowie Google Play-Systemupdates .

Rahmen

Die schwerwiegendste Sicherheitsanfälligkeit in diesem Abschnitt kann es einer lokalen bösartigen Anwendung ermöglichen, die Benutzerinteraktionsanforderungen zu umgehen, um Zugriff auf zusätzliche Berechtigungen zu erhalten.

CVE Verweise Art Schwere Aktualisierte AOSP-Versionen
CVE-2019-2173 A-123013720 EoP Hoch 7.1.1, 7.1.2, 8.0, 8.1, 9

Medienrahmen

Die schwerwiegendste Sicherheitsanfälligkeit in diesem Abschnitt kann es einem Remoteangreifer ermöglichen, mithilfe einer speziell gestalteten Datei beliebigen Code im Kontext eines privilegierten Prozesses auszuführen.

CVE Verweise Art Schwere Aktualisierte AOSP-Versionen
CVE-2019-2184 A-134578122 RCE Kritisch 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2185 A-136173699 RCE Mäßig 10
RCE Kritisch 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2186 A-136175447 RCE Mäßig 10
RCE Kritisch 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2110 A-69703445 [ 2 ] ICH WÜRDE Hoch 9

System

Die schwerwiegendste Sicherheitsanfälligkeit in diesem Abschnitt kann es einer lokalen bösartigen Anwendung ermöglichen, die Benutzerinteraktionsanforderungen zu umgehen, um Zugriff auf zusätzliche Berechtigungen zu erhalten.

CVE Verweise Art Schwere Aktualisierte AOSP-Versionen
CVE-2019-2114 A-123700348 [ 2 ] EoP Hoch 8,0, 8,1, 9
CVE-2019-2187 A-124940143 ICH WÜRDE Hoch 7.1.1, 7.1.2, 8.0, 8.1, 9, 10

Google Play-Systemaktualisierungen

Diese Sicherheitsprobleme sind in Google Play-Systemupdates enthalten.

Komponente CVEs
Mediencodecs CVE-2019-2185, CVE-2019-2186

Sicherheits-Patch-Stufe 2019-10-05 - Details zur Sicherheitsanfälligkeit

In den folgenden Abschnitten finden Sie Details zu den Sicherheitslücken, die für die Patch-Version 2019-10-05 gelten. Sicherheitslücken werden unter der Komponente zusammengefasst, die sie betreffen, und enthalten Details wie CVE, zugehörige Referenzen, Art der Sicherheitsanfälligkeit , Schweregrad , Komponente (falls zutreffend) und aktualisierte AOSP-Versionen (sofern zutreffend). Sofern verfügbar, verknüpfen wir die öffentliche Änderung, mit der das Problem behoben wurde, mit der Fehler-ID, z. B. der AOSP-Änderungsliste. Wenn sich mehrere Änderungen auf einen einzelnen Fehler beziehen, werden zusätzliche Referenzen mit Nummern verknüpft, die auf die Fehler-ID folgen.

Kernel-Komponente

Die Sicherheitsanfälligkeit in diesem Abschnitt kann es einer lokalen bösartigen Anwendung ermöglichen, die Benutzerinteraktionsanforderungen zu umgehen, um Zugriff auf zusätzliche Berechtigungen zu erhalten.

CVE Verweise Art Schwere Komponente
CVE-2018-19824 A-120783587
Upstream-Kernel
EoP Hoch USB-Audio

Qualcomm-Komponenten

Diese Sicherheitsanfälligkeiten betreffen Qualcomm-Komponenten und werden im entsprechenden Qualcomm-Sicherheitsbulletin oder in der Sicherheitswarnung ausführlicher beschrieben. Die Bewertung des Schweregrads dieser Probleme wird direkt von Qualcomm bereitgestellt.

CVE Verweise Art Schwere Komponente
CVE-2019-2268 A-127512519
QC-CR # 2263727
QC-CR # 2429210
N / A Hoch WLAN-Host
CVE-2019-10535 A-136501752
QC-CR # 2308644
N / A Hoch WLAN-Host
CVE-2018-11902 A-136498768
QC-CR # 2278457
N / A Hoch WLAN-Host

Qualcomm Closed-Source-Komponenten

Diese Sicherheitsanfälligkeiten betreffen Closed-Source-Komponenten von Qualcomm und werden im entsprechenden Qualcomm-Sicherheitsbulletin oder in der Sicherheitswarnung ausführlicher beschrieben. Die Bewertung des Schweregrads dieser Probleme wird direkt von Qualcomm bereitgestellt.

CVE Verweise Art Schwere Komponente
CVE-2018-13916 A-122473303 * N / A Kritisch Closed-Source-Komponente
CVE-2019-2251 A-122474427 * N / A Kritisch Closed-Source-Komponente
CVE-2019-2271 A-129766175 * N / A Kritisch Closed-Source-Komponente
CVE-2019-2289 A-129765090 * N / A Kritisch Closed-Source-Komponente
CVE-2019-2315 A-129766098 * N / A Kritisch Closed-Source-Komponente
CVE-2019-2329 A-129766136 * N / A Kritisch Closed-Source-Komponente
CVE-2019-2336 A-129766497 * N / A Kritisch Closed-Source-Komponente
CVE-2019-2339 A-129765860 * N / A Kritisch Closed-Source-Komponente
CVE-2019-2271 A-129765571 * N / A Hoch Closed-Source-Komponente
CVE-2019-2303 A-129765728 * N / A Hoch Closed-Source-Komponente
CVE-2019-2318 A-129766832 * N / A Hoch Closed-Source-Komponente
CVE-2019-2335 A-129766932 * N / A Hoch Closed-Source-Komponente
CVE-2019-10490 A-132108421 * N / A Hoch Closed-Source-Komponente
CVE-2019-2295 A-132108893 * N / A Hoch Closed-Source-Komponente

Details zur Sicherheitslücke auf Sicherheits-Patch-Ebene 2019-10-06

In den folgenden Abschnitten finden Sie Details zu den Sicherheitslücken, die für die Patch-Version 2019-10-06 gelten. Sicherheitslücken werden unter der Komponente zusammengefasst, auf die sie sich auswirken. Die Probleme werden in den folgenden Tabellen beschrieben und umfassen die CVE-ID, zugehörige Referenzen, die Art der Sicherheitsanfälligkeit , den Schweregrad und aktualisierte AOSP-Versionen (falls zutreffend). Sofern verfügbar, verknüpfen wir die öffentliche Änderung, mit der das Problem behoben wurde, mit der Fehler-ID, z. B. der AOSP-Änderungsliste. Wenn sich mehrere Änderungen auf einen einzelnen Fehler beziehen, werden zusätzliche Referenzen mit Nummern verknüpft, die auf die Fehler-ID folgen. Geräte mit Android 10 und höher erhalten möglicherweise Sicherheitsupdates sowie Google Play-Systemupdates .

Kernel-Komponente

Die schwerwiegendste Sicherheitsanfälligkeit in diesem Abschnitt kann es einer lokalen bösartigen Anwendung ermöglichen, beliebigen Code im Kontext eines privilegierten Prozesses auszuführen.

CVE Verweise Art Schwere Komponente
CVE-2019-2215 A-141720095 EoP Hoch Bindemittel

Häufige Fragen und Antworten

Dieser Abschnitt beantwortet häufig gestellte Fragen, die nach dem Lesen dieses Bulletins auftreten können.

1. Wie stelle ich fest, ob mein Gerät aktualisiert wurde, um diese Probleme zu beheben?

Informationen zum Überprüfen der Sicherheits-Patch-Stufe eines Geräts finden Sie unter Überprüfen und Aktualisieren Ihrer Android-Version .

  • Sicherheits-Patch-Levels vom 01.10.2019 oder höher beheben alle Probleme, die mit dem Sicherheitspatch-Level 2019-10-01 verbunden sind.
  • Sicherheits-Patch-Levels vom 05.10.2019 oder höher beheben alle Probleme im Zusammenhang mit dem Sicherheits-Patch-Level 2019-10-05 und allen vorherigen Patch-Levels.
  • Sicherheits-Patch-Levels vom 06.10.2019 oder höher beheben alle Probleme im Zusammenhang mit dem Sicherheits-Patch-Level 2019-10-06 und allen vorherigen Patch-Levels.

Gerätehersteller, die diese Updates enthalten, sollten die Patch-Zeichenfolge auf Folgendes einstellen:

  • [ro.build.version.security_patch]: [2019-10-01]
  • [ro.build.version.security_patch]: [2019-10-05]
  • [ro.build.version.security_patch]: [06.10.2019]

Für einige Geräte unter Android 10 oder höher enthält das Google Play-Systemupdate eine Datumszeichenfolge, die der Sicherheits-Patch-Stufe 2019-10-01 entspricht. Weitere Informationen zum Installieren von Sicherheitsupdates finden Sie in diesem Artikel .

2. Warum hat dieses Bulletin drei Sicherheits-Patch-Stufen?

Dieses Bulletin verfügt über drei Sicherheits-Patch-Ebenen, sodass Android-Partner die Flexibilität haben, eine Teilmenge von Schwachstellen, die auf allen Android-Geräten ähnlich sind, schneller zu beheben. Android-Partner werden aufgefordert, alle Probleme in diesem Bulletin zu beheben und die neueste Sicherheits-Patch-Stufe zu verwenden.

  • Geräte, die die Sicherheitspatchstufe 2019-10-01 verwenden, müssen alle mit dieser Sicherheitspatchstufe verbundenen Probleme sowie Korrekturen für alle in früheren Sicherheitsbulletins gemeldeten Probleme enthalten.
  • Geräte, die die Sicherheitspatchstufe 2019-10-05 oder neuer verwenden, müssen alle mit dieser Sicherheitspatchstufe verbundenen Probleme, die Sicherheitspatchstufe 2019-10-01 sowie Korrekturen für alle in früheren Sicherheitsbulletins gemeldeten Probleme enthalten.
  • Geräte, die die Sicherheits-Patch-Stufe von 2019-10-06 oder neuer verwenden, müssen alle anwendbaren Patches in diesem (und früheren) Sicherheitsbulletins enthalten.

Partner werden aufgefordert, die Korrekturen für alle Probleme, die sie beheben, in einem einzigen Update zu bündeln.

3. Was bedeuten die Einträge in der Spalte Typ ?

Einträge in der Spalte Typ der Tabelle mit den Sicherheitsanfälligkeitsdetails verweisen auf die Klassifizierung der Sicherheitsanfälligkeit.

Abkürzung Definition
RCE Remote-Codeausführung
EoP Erhöhung des Privilegs
ICH WÜRDE Offenlegung von Informationen
DOS Denial of Service
N / A Klassifizierung nicht verfügbar

4. Was bedeuten die Einträge in der Spalte Referenzen ?

Einträge in der Spalte " Referenzen" der Tabelle mit den Schwachstellendetails können ein Präfix enthalten, das die Organisation angibt, zu der der Referenzwert gehört.

Präfix Referenz
EIN- Android Bug ID
QC- Qualcomm Referenznummer
M- MediaTek-Referenznummer
N- NVIDIA-Referenznummer
B- Broadcom Referenznummer

5. Was bedeutet ein * neben der Android-Fehler-ID in der Spalte " Referenzen" ?

Probleme, die nicht öffentlich verfügbar sind, haben ein * neben der Android-Fehler-ID in der Spalte " Referenzen" . Das Update für dieses Problem ist im Allgemeinen in den neuesten Binärtreibern für Pixel-Geräte enthalten, die auf der Google Developer-Website verfügbar sind.

6. Warum werden Sicherheitslücken zwischen diesem Bulletin und Sicherheitsbulletins für Geräte / Partner wie dem Pixel-Bulletin aufgeteilt?

Sicherheitslücken, die in diesem Sicherheitsbulletin dokumentiert sind, müssen die neueste Sicherheits-Patch-Stufe auf Android-Geräten deklarieren. Zusätzliche Sicherheitslücken, die in den Sicherheitsbulletins für Geräte / Partner dokumentiert sind, sind nicht erforderlich, um eine Sicherheits-Patch-Stufe zu deklarieren. Hersteller von Android-Geräten und Chipsätzen veröffentlichen möglicherweise auch Details zu Sicherheitslücken, die für ihre Produkte spezifisch sind, z. B. Google , Huawei , LGE , Motorola , Nokia oder Samsung .

Versionen

Ausführung Datum Anmerkungen
1.0 7. Oktober 2019 Bulletin veröffentlicht
1.1 8. Oktober 2019 Eintrag für CVE-2019-2215- und AOSP-Links hinzugefügt
1.2 29. Oktober 2019 Überarbeitete CVE-Tabelle